# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.FormatValue

Packages that use FormatValue
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.elements.structures
Defines the structure types in Model system.
org.eclipse.birt.report.model.api.olap

## Uses of FormatValue in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return FormatValue
Modifier and Type
Method
Description
`FormatValue`
ColumnHintHandle.`getValueFormat()`
Gets the value format of the column.
`static FormatValue`
StructureFactory.`newFormatValue()`
Creates a new format value structure.
Methods in org.eclipse.birt.report.model.api with parameters of type FormatValue
Modifier and Type
Method
Description
`void`
ColumnHintHandle.`setValueFormat(FormatValue format)`
Sets the value format of the column.

## Uses of FormatValue in org.eclipse.birt.report.model.api.elements.structures

Subclasses of FormatValue in org.eclipse.birt.report.model.api.elements.structures
Modifier and Type
Class
Description
`class`
`DateFormatValue`
The format value for the data.
`class`
`DateTimeFormatValue`
The format value for the data-time.
`class`
`NumberFormatValue`
The format value for the number like integer, float, etc.
`class`
`ParameterFormatValue`
Represents the format for the default value of scalar parameter.
`class`
`StringFormatValue`
The format value for the string type.
`class`
`TimeFormatValue`
The format value for the time.

## Uses of FormatValue in org.eclipse.birt.report.model.api.olap

Methods in org.eclipse.birt.report.model.api.olap with parameters of type FormatValue
Modifier and Type
Method
Description
`void`
LevelHandle.`setFormat(FormatValue format)`
Sets the format of the level.
`void`
MeasureHandle.`setFormat(FormatValue format)`
Sets the format of the measure.